Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.om.security
Interface Permission

All Superinterfaces:
  SecurityEntity, Serializable

All Known Implementing Classes:
  TorquePermission, TurbinePermission

    public interface Permission

extends SecurityEntity, Serializable

This class represents the permissions that a Role has to access certain pages/functions within the system. The class implements Comparable so that when Permissions are added to a Set, they will be in alphabetical order by name.

Version:
  $Id: Permission.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Frank Y. Kim, John D. McNally, Brett McLaughlin, Henning P. Schmiedehausen

Method Summary
`void` | `remove()` Removes a permission from the system.
`void` | `rename(String name)` Renames the permission.
`void` | `save()` Makes changes made to the Permission attributes permanent.

Methods inherited from interface org.apache.turbine.om.security.SecurityEntity
`getId, getIdAsObj, getName, setId, setName`

Method Detail

### save

    void save()
              throws TurbineSecurityException

  Makes changes made to the Permission attributes permanent.

  Throws:
    `TurbineSecurityException` - if there is a problem while saving data.

### remove

    void remove()
                throws TurbineSecurityException

  Removes a permission from the system.

  Throws:
    `TurbineSecurityException` - if the Permission could not be removed.

### rename

    void rename(String name)
                throws TurbineSecurityException

  Renames the permission.

  Parameters:
    `name` - The new Permission name.
  Throws:
    `TurbineSecurityException` - if the Permission could not be renamed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.